package org.springblade.modules.csjcInfo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.csjcInfo.entity.CsjcInfoEntity;
import org.springblade.modules.csjcInfo.excel.CsjcInfoExcel;
import org.springblade.modules.csjcInfo.vo.CsjcInfoVO;

import javax.servlet.http.HttpServletResponse;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 场所检查 服务类
 *
 * @author BladeX
 * @since 2023-07-21
 */
public interface ICsjcInfoService extends BaseService<CsjcInfoEntity> {
	IPage<CsjcInfoVO> selectInfoPage(IPage<CsjcInfoVO> page, Map<String, Object> params);

	List<CsjcInfoExcel> exportInfo(Map<String, Object> params);

	IPage<CsjcInfoVO> getPageByCsId(IPage<CsjcInfoVO> page, Map<String, Object> params);

	CsjcInfoVO getDetail(Long id);

	IPage<CsjcInfoVO> getQsfkList(IPage<Object> page, Map<String, Object> params);

	IPage<CsjcInfoVO> getZgList(IPage<Object> page, Map<String, Object> params);

	Long getSqId(String id);

	void down(HttpServletResponse response, String filePath, String realFileName);


	CsjcInfoEntity getPublicCsjcInfo(Long id);
	List<CsjcInfoEntity> getPublicCsjcList(Long csId);

    List<String> getJidu();

	void updateCreateTime(Long id, Date day);

	void saveToJl(CsjcInfoEntity info);
}
